<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Taskmanager">
    <meta name="author" content="www.serviceblick.com">

    <title>Serviceblick Taskmanager</title>
    <!-- vendor css -->
    <link rel="stylesheet" href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/line-awesome/css/line-awesome.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/fnon-notification/fnon.min.css?v=[cs_version]">
    <link href="/style-global//lib/fullcalendar/fullcalendar.min.css?v=[cs_version]" rel="stylesheet">

    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-vendor.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
    <!-- <link rel="stylesheet" href="/task-manager/css/taskmanager-custom.css"> -->

    <style>
        .dropdown-toggle {
            border: none;
            background: inherit;
        }
    
        .dropdown-toggle i {
            font-size: 20px;
            line-height: 20px;
        }
    
        .dropdown-toggle::after {
            display: inline-block;
            margin-left: 0.255em;
            vertical-align: 0.255em;
            content: "";
            border-top: 0;
            border-right: 0;
            border-bottom: 0;
            border-left: 0;
        }
    
        .fc-list-item-time {
            border-top: 1px solid #e3e7ed;
            border-top-color: rgb(227, 231, 237);
            border-right: 1px solid #e3e7ed;
            border-right-color: rgb(227, 231, 237);
            box-sizing: border-box;
        }
    
        .fc-list-item-title {
            border-bottom: 1px solid #e3e7ed;
            border-bottom-color: rgb(227, 231, 237);
            border-right: 1px solid #e3e7ed;
            border-right-color: rgb(227, 231, 237);
            box-sizing: border-box;
        }
    
        .az-mail-subject {
            font-size: 16px;
            font-weight: 700;
        }

        .az-mail-item {
            width: auto;
        }
    
        .fc-list-item {
            margin-left: 20%;
        }

        .az-calendar .fc-view.fc-listWeek-view .fc-scroller{
                padding-right: 0px;
                padding-left: 0px;
            }
    
        @media (min-width: 576px) {
            .fc-list-item {
                margin-left: 15%;
            }

            
        }
    
        @media (min-width: 768px) {
            .fc-list-item {
                margin-left: 12%;
            }

            .az-calendar .fc-view.fc-listWeek-view .fc-scroller{
                padding-right: 20px;
                padding-left: 20px;
            }
            
        }
    
        @media (min-width: 992px) {
            .fc-list-item {
                margin-left: 10%;
            }

           
        }
    
        @media (min-width: 1200px) {
            .fc-list-item {
                margin-left: 8%;
            }
        }
    
    
        .tickets-card {
            cursor: auto;
        }
    
        .az-mail-item {
            cursor: auto;
        }
    
        .az-mail-body {
            cursor: auto;
        }
    </style>

</head>
<body id="page-top" class="az-body">

    {% include 'snippets/pb-loader.tpl' %}  
    <div id="contentwrapper" style="display:none;" class="az-body">
    <div class="az-header">
        <div class="container">
            <div class="az-header-left">
                <a href="index.html" class="az-logo"><span></span> <img class="az-logo"
                                                                        src="/style-global/img/icons/todo.png" alt="Buchungsmanager"></a>
                <!-- <a href="" id="azMenuShow" class="az-header-menu-icon d-lg-none"><span></span></a> -->
                <span class="nav-link text-dark tx-20">Buchungsmanager</span>
            </div><!-- az-header-left -->
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                    <div class="az-header-menu-header">
                        <a href="index.html" class="az-logo"><span></span> <img class="az-logo"
                                                                                src="/style-global/img/icons/todo.png" alt="Buchungsmanager"></a>
                        <a href="" class="close">&times;</a>
                    </div><!-- az-header-menu-header -->
                    <ul class="nav">
                        <!-- if there are no links here, then comment out azMenuShow so that empty menu is not shown in mobile view" -->
                    </ul>
                </div><!-- az-header-menu-header -->
            </div><!-- az-header-menu -->
            <div class="az-header-right">
                <div class="az-header-notification mg-l-4">
                    <a href="" data-toggle="tooltip" title=""
                       data-original-title="Nothing here to do or see yet"  class="hidden">
                        <!-- custom icon not included in the older font -->
                        <ion-icon
                                src='data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512"><path d="M262.29 192.31a64 64 0 1057.4 57.4 64.13 64.13 0 00-57.4-57.4zM416.39 256a154.34 154.34 0 01-1.53 20.79l45.21 35.46a10.81 10.81 0 012.45 13.75l-42.77 74a10.81 10.81 0 01-13.14 4.59l-44.9-18.08a16.11 16.11 0 00-15.17 1.75A164.48 164.48 0 01325 400.8a15.94 15.94 0 00-8.82 12.14l-6.73 47.89a11.08 11.08 0 01-10.68 9.17h-85.54a11.11 11.11 0 01-10.69-8.87l-6.72-47.82a16.07 16.07 0 00-9-12.22 155.3 155.3 0 01-21.46-12.57 16 16 0 00-15.11-1.71l-44.89 18.07a10.81 10.81 0 01-13.14-4.58l-42.77-74a10.8 10.8 0 012.45-13.75l38.21-30a16.05 16.05 0 006-14.08c-.36-4.17-.58-8.33-.58-12.5s.21-8.27.58-12.35a16 16 0 00-6.07-13.94l-38.19-30A10.81 10.81 0 0149.48 186l42.77-74a10.81 10.81 0 0113.14-4.59l44.9 18.08a16.11 16.11 0 0015.17-1.75A164.48 164.48 0 01187 111.2a15.94 15.94 0 008.82-12.14l6.73-47.89A11.08 11.08 0 01213.23 42h85.54a11.11 11.11 0 0110.69 8.87l6.72 47.82a16.07 16.07 0 009 12.22 155.3 155.3 0 0121.46 12.57 16 16 0 0015.11 1.71l44.89-18.07a10.81 10.81 0 0113.14 4.58l42.77 74a10.8 10.8 0 01-2.45 13.75l-38.21 30a16.05 16.05 0 00-6.05 14.08c.33 4.14.55 8.3.55 12.47z" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32"/></path></svg>'>
                        </ion-icon>
                    </a>
                </div><!-- az-header-settings -->
                {% include 'snippets/header-apps-menu.tpl' %}
                {% include 'snippets/header-profile-menu.tpl' %}
            </div><!-- az-header-right -->
        </div><!-- container -->
    </div><!-- az-header -->

    <div class="az-content az-content-mail">
        <div class="container">
            <div class="content-wrapper w-100">
                <div class="row">
                    <div class="col-lg-12 ">
                        <div class="card">

                        <!-- ############## search results view start  -->
                        <div class="card-body" id="search-view" style="display:none;">
                            <!-- header start -->
                            <div class="pb-4 mb-4 border-bottom row">
                                <div class="col-sm-6 col-3 align-items-center d-flex">
                                    <h5 class="page-title mb-n2 pd-r-10 " data-i18n="Suchergebnis">Suchergebnis</h5>
                                
                                    <!-- <h5 class="page-title mb-n2 pd-r-10 " data-i18n="Standort">Standort</h5>
                                    <select class="form-control" id="task-list-section">
                                    </select> -->
                                </div>
                                <div class="col-sm-6 col-9 align-items-center justify-content-end pt-md-0 pt-3 d-flex">
                                    <button data-i18n="New task" type="submit" class="btn btn-indigo no-wrap ml-4"
                                            id="button-new-task" data-toggle="modal" data-target="#searchModal"><i class="typcn typcn-plus tx-18 pr-1"></i> neue Buchung
                                    </button>

                                    <div class="action-dropdown dropdown pd-l-20">
                                        <button type="button" class="dropdown-toggle " id="action-dropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i class="fas fa-ellipsis-v text-dark"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="action-dropdown">
                                            <a class="dropdown-item" href="#" data-selector="list_view">Listenansicht</a>
                                            <a class="dropdown-item" href="#" data-selector="timeline_view">Zeitachsenansicht</a>
                                        </div>
                                      </div>

                                </div>

                            </div>
                            <!-- header -->
                            <!-- content body start -->
                            <div class="tab-content border-0 tab-content-basic">
                                <div class="tab-pane fade show active">
                                        <ul id="search-list-container" class="search-element-list pd-5">
                                            <!-- search results list generated from snippet here -->                              
                                        </ul>
                                </div>
                            </div>
                            <!-- content body -->
                        </div>
                        <!-- search results view  -->

                         <!-- ############## list view start  -->
                         <div class="card-body" id="list-view" >
                            <!-- header start -->
                            <div class="pb-4 mb-4 border-bottom row">
                                <div class="col-sm-6 col-3 align-items-center d-flex">
                                    <h5 class="page-title mb-n2 pd-r-10 " data-i18n="Buchungen">Buchungen</h5>
                                
                                    <!-- <h5 class="page-title mb-n2 pd-r-10 " data-i18n="Standort">Standort</h5>
                                    <select class="form-control" id="task-list-section">
                                    </select> -->
                                </div>
                                <div class="col-sm-6 col-9 align-items-center justify-content-end pt-md-0 pt-3 d-flex">
                                    <!-- <p class="mt-2 mb-n1 pd-r-10 text-muted">Filter</p>  -->

                                    <button onclick="location.href='/easy2schedule/booking_form.html'; return false;" data-i18n="New task" type="submit" class="btn btn-indigo no-wrap ml-4"
                                            id="button-new-task"><i class="typcn typcn-plus tx-18 pr-1"></i> neue Buchung
                                    </button>

                                    <!-- <div class="action-dropdown dropdown pd-l-20">
                                        <button type="button" class="dropdown-toggle " id="action-dropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i class="fas fa-ellipsis-v text-dark"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="action-dropdown">
                                            <a class="dropdown-item" href="#" data-selector="list_view">Listenansicht</a>
                                            <a class="dropdown-item" href="#" data-selector="timeline_view">Zeitachsenansicht</a>
                                        </div>
                                    </div> -->

                                </div>

                            </div>
                            <!-- header -->
                            <!-- content body start -->
                            <div class="tab-content border-0 tab-content-basic pb-4">
                                <div class="tab-pane fade show active">
                                    <div id="calendar" class="az-calendar fc fc-unthemed fc-ltr">
                                        <div class="fc-toolbar fc-header-toolbar px-0 px-md-4">
                                            <div class="fc-left">
                                                <div class="fc-button-group">
                                                    <button id="previousDay" type="button"
                                                        class="fc-prev-button fc-button fc-state-default fc-corner-left" aria-label="prev">
                                                        <span class="fc-icon fc-icon-left-single-arrow"></span></button>
                                                    <button id="nextDay" type="button" class="fc-next-button fc-button fc-state-default fc-corner-right"
                                                        aria-label="next">
                                                        <span class="fc-icon fc-icon-right-single-arrow"></span></button>
                                                </div>
                                                <button id="currentDay" type="button"
                                                    class="fc-today-button fc-button fc-state-default fc-corner-left fc-corner-right fc-state-active"
                                                    >Heute</button>
                                            </div>
                                            <div class="fc-right">
                                                <div class="fc-button-group">
                                                    <button type="button" class="fc-agendaWeek-button fc-button fc-state-default" onclick="alert('Diese Funktion ist noch nicht implementiert.')">Woche</button>
                                                    <button type="button" class="fc-agendaDay-button fc-button fc-state-default fc-state-active">Tag</button>
                                                </div>
                                            </div>
                                            <div class="fc-center">
                                                <!-- display date range -->
                                                <h2 id="list_display_date_range"> <!-- dynamic date as title here -->
                                                </h2>
                                            </div>
                                            <div class="fc-clear">
                            
                                            </div>
                                        </div>
                                        <div class="fc-view-container">
                                            <div class="fc-view fc-listWeek-view fc-list-view fc-widget-content">
                                                <div class="fc-scroller" style="overflow: hidden auto; height: 656px;">
                                                    <!-- booking list container start -->
                                                    <div class="fc-list-table pd-t-20" id="list-table">
                                                        <!-- dynamic list generated here -->
                                                    </div>
                                                    <!-- booking list container -->
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- content body -->
                        </div>
                        <!-- list view  -->

                    </div>
                </div>
            </div>
        </div>
    </div>
    </div><!-- az-content -->

<div class="az-footer ht-40 d-none d-lg-block">
    <div class="container ht-100p pd-t-0-f">
            <span>&copy;
                <script>document.write(new Date().getFullYear());</script> serviceBLICK by planBLICK GmbH
            </span>
    </div><!-- container -->
</div><!-- az-footer -->

</div> <!--content wrapper  -->

<!-- content snippet for day list container -->
<div id="list_day_container" style="display: None;">
    <!-- day container start -->
    <div class="fc-list-heading" data-selector="list-heading">
        <span class="fc-list-heading-main">[{week-day}]<span>[{day}]</span></span>
    </div>

    <div class="fc-list-item" data-selector="list-item-container-[{week-day}]">
        <!-- repeat list elements generated here -->
    </div>
    <!-- day container -->
</div>



<!-- content snippet for list elements -->
<div id="list_item" style="display: None;">
     <!-- repeat item start -->
     <div class="az-mail-item" data-selector="list-item">
        <div class="az-mail-body">
          <div class="az-mail-from">[{start-time}] - [{end-time}]</div>
          <div class="az-mail-subject">
            [{resouce-id}]
            <!-- <span>[{location}]</span> -->
          </div>
        </div><!-- az-mail-body -->
        <div class="az-mail-date"><button data-edit-item-id="[{event-id}]" class="btn btn-indigo-white"><i class="typcn typcn-pen tx-18 pr-1"></i><span class="d-none d-md-inline">Umbuchen</span></button> | <button data-delete-item-id="[{event-id}]" class="btn btn-indigo-white"><i class="typcn typcn-trash tx-18 pr-1"></i> <span class="d-none d-md-inline">Stornieren</span></button>   
        </div>
      </div>
      <!-- repeat item -->
</div>


<div id="list_item_empty" style="display: None;">
    <!-- repeat item start -->
    <div class="az-mail-item" data-selector="list-item">
       <div class="az-mail-body">
         <div class="az-mail-from"></div>
         <div class="az-mail-subject">
            Keine Buchungen für heute
         </div>
       </div><!-- az-mail-body -->
     </div>
     <!-- repeat item -->
</div>

<!-- content snippet for search result list -->
<div id="search_item" style="display: None;">
    <li data-selector="list-entry" class="search-element tickets-card row mx-0 mx-md-5 py-0 px-0 px-md-5" id="1">
        <div class="col-6 az-mail-subject">[{resouce-id}]
        </div>
        <div class="col-6 text-right">
            <button class="btn btn-indigo-white data-selector="btn-column-delete" data-search-item-id="[{resouce-id}]"><i class="typcn typcn-arrow-forward-outline tx-18 pr-1"></i><span class="d-none d-md-inline">Jetzt</span> Buchen</button>
        </div>
    </li>
</div>



<div class="modal" tabindex="-1" role="dialog" id="searchModal">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Neue Buchung</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <p>search inputs</p>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary" id="searchButton">Alle verfugbar anzeigen</button>
          <button type="button" class="btn btn-primary" id="bookingButton">Sofort buchen</button>
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Abbrechen </button>
        </div>
      </div>
    </div>
  </div>

<script src="/style-global/lib/jquery/jquery.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/bootstrap/js/bootstrap.bundle.min.js?v=[cs_version]"></script>
<script type="module" src="/style-global/lib/ionicons/ionicons/ionicons.esm.js?v=[cs_version]"></script>
<script nomodule="" src="/style-global/lib/ionicons/ionicons/ionicons.js?v=[cs_version]"></script>
<script src="/style-global/lib/perfect-scrollbar/perfect-scrollbar.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/select2/js/select2.min.js?v=[cs_version]"></script>
<script src="/style-global/js/azia.js?v=[cs_version]"></script>
<script src="/style-global/lib/fnon-notification/fnon.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/moment/moment.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/moment/moment-with-locales.min.js?v=[cs_version]"></script>


<script defer type="module">
    import {pbBrain} from '../csf-lib/pb-brain.js?v=[cs_version]';
    new pbBrain().boot("easy2schedule-booking-circuit");
</script>

<!-- <script>




moment.locale("de");
var curDateSelected = moment().format('ll');
var curDate = moment().format('Do');

var curYear = new Date().toLocaleDateString('de-DE', { year: 'numeric' })
var curMonth = new Date().toLocaleDateString('de-DE', { month: 'long' })
var curDay = new Date().toLocaleDateString('de-DE', { weekday: 'short' })


var search_data =[ 
        {
            "id": "raum_1",
            "title": "Raum 1"
        },
        {
            "id": "raum_2",
            "title": "Raum 2"
        },
        {
            "id": "raum_3",
            "title": "Raum 3"
        },
        {
            "id": "raum_4",
            "title": "Raum 4"
        },
        {
            "id": "raum_3",
            "title": "Raum 5"
        },
        {
            "id": "raum_sz",
            "title": "Raum SZ"
        },
        {
            "id": "raum_gr",
            "title": "Raum GR"
        }
] 

var day_data = [
    {
        "allDay": false,
        "attachedContacts": [],
        "attachedRessources": [],
        "classNames": [
            "defaultEvent"
        ],
        "color": "#ffffaa",
        "data_owners": [],
        "end": "2022-05-24 16:30:00",
        "extendedProps": {
            "comment": "",
            "creator_login": "demo",
            "ep_date": "",
            "ep_phone": "",
            "ep_termintyp": "0"
        },
        "id": "76b013f6-6e77-4687-a07a-f8d41147a8c3",
        "resourceId": "raum_gr",
        "start": "2022-05-24 11:15:00",
        "textColor": "#000000",
        "title": "booking 1 in view 1"
    },
    {
        "allDay": false,
        "attachedContacts": [],
        "attachedRessources": [],
        "classNames": [
            "defaultEvent"
        ],
        "color": "#ffffaa",
        "data_owners": [],
        "end": "2022-05-24 10:30:00",
        "extendedProps": {
            "comment": "",
            "creator_login": "demo",
            "ep_date": "",
            "ep_phone": "",
            "ep_termintyp": "0"
        },
        "id": "088dc61d-8600-46ba-b593-b1cab8f90e6d",
        "resourceId": "extern",
        "start": "2022-05-24 08:15:00",
        "textColor": "#000000",
        "title": "booking 1 in view 2"
    },
    {
        "allDay": false,
        "attachedContacts": [],
        "attachedRessources": [],
        "classNames": [
            "defaultEvent"
        ],
        "color": "#ffffaa",
        "data_owners": [],
        "end": "2022-05-24 15:15:00",
        "extendedProps": {
            "comment": "",
            "creator_login": "demo",
            "ep_date": "",
            "ep_phone": "",
            "ep_termintyp": "0"
        },
        "id": "05c15c98-dc05-41aa-b779-7cdaec6bb703",
        "resourceId": "bg",
        "start": "2022-05-24 12:00:00",
        "textColor": "#000000",
        "title": "booking 2 in view 2"
    }
]



$("#searchButton").on('click', function(e) {
    renderSearchResults()
    searchMode()
    $('#searchModal').modal('toggle');
    
})

$('[data-selector="list_view"]').on('click', function(e) {
    listMode()
})


function listMode() {
    $("#search-view").hide()
    $("#list-view").show()
}

function searchMode() {
    $("#search-view").show()
    $("#list-view").hide()
}

function timelineMode() {
    
}

function extractTimeFromDate(date) {
        const d = new Date(date);
        let time = d.getHours() + ":" + d.getMinutes()
        return time
}

function renderSearchResults() {
    search_data
    $("#search-list-container").html("")

    //render search results item within day
    for (let entry of search_data) {
        let newListItem = $("#search_item").html()
        let listItemContent = newListItem.replaceAll("[{resouce-id}]", entry.title )
        $("#search-list-container").append(listItemContent)
    }
}

function renderBookingEntries() {
    $("#list_display_date_range").html(curDateSelected)
    $("#list-table").html("")

    //first render container for day
    let newDayList = $('#list_day_container').html()
    let dayListContent = newDayList.replaceAll("[{week-day}]", curDay).replace("[{day}]", curDate)
    $("#list-table").append(dayListContent)
     
    //then render booking items within day
    for (let entry of day_data) {
        let newListItem = $("#list_item").html()
        let listItemContent = newListItem.replace("[{start-time}]", extractTimeFromDate(entry.start) ).replace("[{end-time}]", extractTimeFromDate(entry.end)).replace("[{resouce-id}]", entry.resourceId).replace("[{event-id}]", entry.id)
        $('[data-selector="list-item-container-' +  curDay + '"]').append(listItemContent)
    }
   
}



</script> -->

</body>

</html>